## org.eclipse.datatools.sqltools.sqlbuilder.model
Interface ISQLStatementInfo

All Known Implementing Classes:
  SQLStatementInfo

    public interface ISQLStatementInfo

This interface defines the set of properties which define a SQL statement in a string. The DialectInfo is optional within a SQLStatementInfo and should only be used if the dialect in which the statement was created is different from that of the current connection.

Author:
  Jeremy Lindop

Method Summary
`java.lang.String` `encode()` Encodes the given `ISQLStatementInfo` object for persistence.
`java.lang.String` `getSQL()` Gets the SQL string for this ISQLStatementInfo.
`ISQLDialectInfo` `getSQLDialectInfo()` Gets the ISQLDialectInfo for this ISQLStatementInfo.
`void` `setSQL(java.lang.String sql)` Sets the sql string for this ISQLStatementInfo.
`void` `setSQLDialectInfo(ISQLDialectInfo sqlDialectInfo)` Sets the ISQLDialectInfo for this ISQLStatementInfo.

Method Detail

### getSQL

    java.lang.String getSQL()

  Gets the SQL string for this ISQLStatementInfo.

  Returns:
    the SQL

### setSQL

    void setSQL(java.lang.String sql)

  Sets the sql string for this ISQLStatementInfo.

### getSQLDialectInfo

    ISQLDialectInfo getSQLDialectInfo()

  Gets the ISQLDialectInfo for this ISQLStatementInfo. The DialectInfo is optional within a SQLStatementInfo and should only be used if the dialect in which the statement was created is different from that of the current connection.

  Returns:
    the ISQLDialectInfo

### setSQLDialectInfo

    void setSQLDialectInfo(ISQLDialectInfo sqlDialectInfo)

  Sets the ISQLDialectInfo for this ISQLStatementInfo. The DialectInfo is optional within a SQLStatementInfo and should only be used if the dialect in which the statement was created is different from that of the current connection.

### encode

    java.lang.String encode()

  Encodes the given `ISQLStatementInfo` object for persistence.

  Returns:
    encoded String
  See Also:
    `SQLStatementInfo.decode(String)`